package com.config.example;

import java.sql.SQLException;

import javax.annotation.PostConstruct;
import javax.sql.DataSource;

import org.h2.jdbcx.JdbcDataSource;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

@Configuration
public class DatabaseConfiguration {
    private Logger logger = LoggerFactory.getLogger(this.getClass());
    
    @PostConstruct
    public void init() {
        logger.info("Import DB Config Done");
    }
    
    @Bean
    public DataSource dataSource() throws SQLException {
        JdbcDataSource dataSource = new JdbcDataSource();
        dataSource.setURL("jdbc:h2:mem:app;DB_CLOSE_DELAY=-1;MVCC=true");
        dataSource.setUser("sa");
        return dataSource;
    }
}
