package com.example;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.context.ConfigurableApplicationContext;
import org.springframework.context.annotation.Import;
import org.springframework.core.env.Environment;
import org.springframework.util.Assert;

import com.config.example.DatabaseConfiguration;
import com.config.example.ImportXMLServiceConfiguration;
import com.example.service.MyService;

@SpringBootApplication
@Import(value = {DatabaseConfiguration.class,ImportXMLServiceConfiguration.class})
public class DemoIssue28977ApplicationFail {

	public static void main(String[] args) {
		ConfigurableApplicationContext c = SpringApplication.run(DemoIssue28977ApplicationFail.class, args);
		
		MyService s = c.getBean(MyService.class);
		String expectedAddress = c.getBean(Environment.class).getRequiredProperty("ws.endpoint.url");
		String wrongAddress = s.getAddress();
		Assert.isTrue(expectedAddress.equals(wrongAddress), "MyWSAddress should be '" + expectedAddress + "' but is '" + wrongAddress + "'");
	}

}
